Bug 1306727 - iSCSI initiatornames should be different and random on all hosts deployed, not just computes [NEEDINFO]
iSCSI initiatornames should be different and random on all hosts deployed, no...
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
x86_64 Linux
low Severity low
: ---
: 11.0 (Ocata)
Assigned To: Angus Thomas
Shai Revivo
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-11 11:36 EST by Dan Yasny
Modified: 2017-11-16 17:31 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bfournie: needinfo? (dyasny)


Attachments (Terms of Use)

  None (edit)
Description Dan Yasny 2016-02-11 11:36:41 EST
Description of problem:
https://bugzilla.redhat.com/show_bug.cgi?id=1244328 was about all overcloud nodes having the same initiatorname post-deployment.

This is resolved for compute nodes, but all other nodes (controller, ceph, swift, cinder) still have the same initiatornames. This is not a problem in a vanilla setup the way we use it, but will pose a problem if additional drives are added to these hosts via iscsi later on. 

Version-Release number of selected component (if applicable):
[stack@instack ~]$ rpm -qa |grep tripleo
openstack-tripleo-image-elements-0.9.6-10.el7ost.noarch
openstack-tripleo-common-0.0.1.dev6-6.git49b57eb.el7ost.noarch
openstack-tripleo-heat-templates-0.8.6-119.el7ost.noarch
openstack-tripleo-puppet-elements-0.0.1-5.el7ost.noarch
openstack-tripleo-0.0.7-0.1.1664e566.el7ost.noarch


How reproducible:
Always


[stack@instack ~]$ nova list
+--------------------------------------+-------------------------+--------+------------+-------------+---------------------+
| ID                                   | Name                    | Status | Task State | Power State | Networks            |
+--------------------------------------+-------------------------+--------+------------+-------------+---------------------+
| fe8c1d14-d63b-442e-91b8-a6c68f1214ce | overcloud-cephstorage-0 | ACTIVE | -          | Running     | ctlplane=192.0.2.7  |
| 44344478-0866-40f4-9a27-a9fa84343119 | overcloud-compute-0     | ACTIVE | -          | Running     | ctlplane=192.0.2.11 |
| 69335882-c373-4956-9823-47d95cd1ed4b | overcloud-compute-1     | ACTIVE | -          | Running     | ctlplane=192.0.2.9  |
| 3c691e1a-6a7e-48f1-bb28-fc2b7e953d15 | overcloud-controller-0  | ACTIVE | -          | Running     | ctlplane=192.0.2.12 |
| abd350f8-54e2-420f-9e3e-d7f4081ed51c | overcloud-controller-1  | ACTIVE | -          | Running     | ctlplane=192.0.2.10 |
| 58483250-538b-4bdb-861b-f7cc98f7d08d | overcloud-controller-2  | ACTIVE | -          | Running     | ctlplane=192.0.2.8  |
+--------------------------------------+-------------------------+--------+------------+-------------+---------------------+


[stack@instack ~]$ for i in `nova list|grep ctlplane|cut -d"=" -f2 |cut -d' ' -f1`; do echo $i; ssh heat-admin@$i cat /etc/iscsi/initiatorname.iscsi; done
192.0.2.7
InitiatorName=iqn.1994-05.com.redhat:9d4e9e8d8fe
192.0.2.11
InitiatorName=iqn.1994-05.com.redhat:8950acdea36
192.0.2.9
InitiatorName=iqn.1994-05.com.redhat:7c3107a5d62
192.0.2.12
InitiatorName=iqn.1994-05.com.redhat:9d4e9e8d8fe
192.0.2.10
InitiatorName=iqn.1994-05.com.redhat:9d4e9e8d8fe
192.0.2.8
InitiatorName=iqn.1994-05.com.redhat:9d4e9e8d8fe
Comment 1 Angus Thomas 2016-02-11 14:59:47 EST
I'm moving this off the 7.3 blockers because, as the report describes, it's not a problem a standard deployment and, in the event that users want to add drives via iscsi, we have a workaround.
Comment 2 Mike Burns 2016-04-07 17:11:06 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 5 Bob Fournier 2017-11-16 17:31:44 EST
Dan - is this still an issue?  Should we consider if for OSP-13?

Note You need to log in before you can comment on or make changes to this bug.